Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogicx.xml.tags
Class XsltStylesheetTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--weblogicx.xml.tags.XsltStylesheetTag

public class XsltStylesheetTag
extends javax.servlet.jsp.tagext.BodyTagSupport

Use inside an xslt tag to specify the xml inline.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`XsltStylesheetTag()`

Method Summary
`int` | `doEndTag()`
`java.lang.String` | `getMedia()`
`java.lang.String` | `getUri()`
`void` | `release()`
`void` | `setMedia(java.lang.String media)`
`void` | `setUri(java.lang.String uri)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsltStylesheetTag

    public XsltStylesheetTag()

Method Detail

### getMedia

    public java.lang.String getMedia()

### setMedia

    public void setMedia(java.lang.String media)

### getUri

    public java.lang.String getUri()

### setUri

    public void setUri(java.lang.String uri)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.BodyTagSupport

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.BodyTagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD